<?php

namespace backend\controllers;

use yii\base\Controller;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;

class CurrencyController extends Controller{

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'except' => ['login', 'error'],
                'rules' => [
                    [
                        'allow' => true,
                        'roles' => ['@']
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                    'delete-req' => ['post']
                ],
            ],
        ];
    }


    /**
     * Lists all Specialization models.
     * @return mixed
     */
    public function actionIndex()
    {
        return $this->render('index', [

        ]);
    }


}