<?php

use yii\db\Migration;

class m160208_112838_gallery extends Migration
{
    public function up()
    {
        $tableOptions = null;

        $this->createTable('{{%gallery}}', [
            'gallery_id' => $this->primaryKey(),
            'user_id' =>  $this->integer()->notNull(),
            'name' => $this->string(255)->notNull(),
            'date_add' => $this->timestamp()->notNull(),
            'user_add_id' => $this->integer(),
            'cover' =>  $this->string(255),
            'type' =>  $this->smallInteger(),
            'photo' =>  $this->text(),
        ], $tableOptions);

    }

    public function down()
    {
        $this->dropTable('{{%gallery}}');
    }
}
