<?php

use yii\db\Migration;

class m160329_085324_file_add_user extends Migration
{
    public function up()
    {
        $this->addColumn('{{%file}}', 'user_id', $this->integer());
        $this->addForeignKey('file_user', '{{%file}}', 'user_id', '{{%user}}', 'id', 'SET DEFAULT', 'CASCADE');
    }

    public function down()
    {
        $this->dropForeignKey('file_user', '{{%file}}');
        $this->dropColumn('{{%file}}', 'user_id');
    }
}
