<?php
    /**
     * @var UserInfo $user_info
     */
    use common\models\UserInfo;
    use common\widgets\FieldEditor;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;

    $this->title = 'Контакты';
    $this->params['breadcrumbs'][] = $this->title;
    $user = \Yii::$app->user->identity;
?>

<div class="login-left-column-title style">
    <table cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td><?= $this->title ?></td>
            <td style="font-size: 13px; color: #b7b7b7;padding-left: 15px;"> Будут видны всем</td>
        </tr>
    </table>
  </div>


<div class="admin-contacts-wr style">
    <?php
    $form = ActiveForm::begin ();
    ?>
    <div class="input-blocks-wrapper">
        <div class="input-blocks">
            <?= FieldEditor::widget (
                [
                    'template' => 'phone', 'item_id' => $user->id, 'model' => 'common\models\User', 'language' => 'ru',
                ]
            ); ?>
        </div>
    </div>

    <div class="input-blocks-wrapper">
        <div class="input-blocks">
            <?= $form->field ($user_info, 'social_vk')
                ->label ('Vk.com')
                ->textInput (['class'=> 'custom-input-2']); ?>
        </div>
    </div>

    <div class="input-blocks-wrapper">
        <div class="input-blocks">
            <?= $form->field ($user_info, 'social_fb')
                ->label ('FaceBook.com')
                ->textInput (['class'=> 'custom-input-2']); ?>
        </div>
    </div>

    <div class="input-blocks-wrapper">
        <div class="input-blocks">
            <?= $form->field ($user_info, 'social_in')
                ->label ('LinkedIn.com')
                ->textInput (['class'=> 'custom-input-2']); ?>
        </div>
    </div>

    <div class="input-blocks-wrapper">
        <div class="input-blocks">
            <?= $form->field ($user_info, 'social_t')
                ->label ('Twitter.com')
                ->textInput (['class'=> 'custom-input-2']); ?>
        </div>
    </div>

    <div class="input-blocks-wrapper">
        <div class="input-blocks">
            <?= FieldEditor::widget (
                [
                    'template' => 'site', 'item_id' => $user->id, 'model' => 'common\models\User', 'language' => 'ru',
                ]
            ); ?>
        </div>
    </div>

    <div class="input-blocks-wrapper">
        <div class="admin-save-btn skills-save-btn  style">
            <?php
            echo Html::submitButton ('Сохранить',['class'=>'input-blocks-wrapper button']);
            $form->end ();
            ?>

        </div>
    </div>
</div>


