<?php

use yii\helpers\Html;
use yii\helpers\Url;


?>
<?php if($model->hasNewMessage()):?>
<div class="cabinet-message-blocks new-message-cabinet-blocks">
    <div class="ico-sender-wrapper">
        <div class="ico-sender">
            <?= Html::a(Html::img($model->interlocutor->userInfo->image), $model->interlocutor->link, ['target' => '_blank']);?>
        </div>
    </div>
    <div class="cabinet-message-text-wrapper">
        <div class="cabinet-message-title"><?= $model->interlocutor->userInfo->name ?></div>
        <div class="cabinet-message-message">
            <?= Html::a(
                    Html::tag('div', '', ['class' => 'cabinet-message-message-ico']).'Сообщения ('.count($model->newMessage).'), последнее от '.end($model->newMessage)->date,
                    Url::to(['chat/message', 'user_id' => $model->interlocutor->id])
                );
            ?>
        </div>
        <div class="cabinet-message-status">(Есть непрочитанные)</div>
    </div>
    <?= Html::a('
        <div class="cabinet-message-write-ico"></div>
        <div class="cabinet-message-write-txt">Написать сообщение</div>
        ', ['chat/message', 'user_id' =>$model->interlocutor->id ], ['class'=>'cabinet-message-write' ] );?>
</div>
<?php else: ?>
    <div class="cabinet-message-blocks">
        <div class="ico-sender-wrapper">
            <div class="ico-sender">
                <?= Html::a(Html::img($model->interlocutor->userInfo->image), $model->interlocutor->link, ['target' => '_blank']);?>
            </div>
        </div>
        <div class="cabinet-message-text-wrapper">
            <div class="cabinet-message-title"><?= $model->interlocutor->userInfo->name ?></div>
            <div class="cabinet-message-message">
                <?= Html::a(
                        Html::tag('div', '', ['class' => 'cabinet-message-message-ico']).'Сообщения',
                        Url::to(['chat/message', 'user_id' => $model->interlocutor->id])
                    );
                ?>
            </div>
            <div class="cabinet-message-status">(Все прочитаны)</div>
        </div>
        <?= Html::a('
        <div class="cabinet-message-write-ico"></div>
        <div class="cabinet-message-write-txt">Написать сообщение</div>
        ', ['chat/message', 'user_id' =>$model->interlocutor->id ], ['class'=>'cabinet-message-write' ] );?>
    </div>
<?php endif; ?>
