<?php
    /**
     * @var Blog $model
     * @var View $parent_view
     */
    use common\models\Blog;
    use yii\helpers\Html;
    use yii\web\View;

?>
<?php
    echo Html::a(Html::img($model->cover), [
        'company/blog-view',
        'company_id' => $model->user_id,
        'link'       => $model->link,
        'type' => (!empty($this->params['type']))?$this->params['type']:null,
    ]);
?>
<div class="min-post-txt">
    <div class="blog-post-icons-wr style">
        <div class="blog-post-date">
            <span></span>
            <p><?= \Yii::$app->formatter->asDate($model->date_add, 'php:d.m.Y') ?></p>
        </div>
        <div class="blog-post-views">
            <span></span>
            <p><?= $model->view_count ?></p>
        </div>
        <div class="blog-post-comm-num">
            <span></span>
            <p><?= count($model->comments) ?></p>
        </div>
    </div>
    <?= Html::a($model->name, [
        'company/blog-view',
        'company_id' => $model->user_id,
        'link'       => $model->link,
        'type' => (!empty($this->params['type']))?$this->params['type']:null,
    ]) ?>
</div>