<?php
    /**
     * @var View $parent_view
     */
    use yii\helpers\ArrayHelper;
    use yii\helpers\Html;
    use yii\helpers\Url;
    use yii\web\View;

?>
<div class="portfolio-project-blocks-wr">
    <div class="portfolio-project-blocks-img-title">
        <div class="portfolio-project-blocks-img">
            <?= Html::a(Html::img($model->getWatermark($model->cover,'210','150')), Url::toRoute([
                'company/portfolio-view',
                'company_id'   => $model->user_id,
                'portfolio_id' => $model->portfolio_id,
                'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
            ]), [ 'data-pjax' => 0 ]); ?>
        </div>
        <div class="portfolio-project-blocks-title-wr">
            <div class="portfolio-project-blocks-title">
                <?= Html::a($model->name, Url::toRoute([
                    'company/portfolio-view',
                    'company_id'   => $model->user_id,
                    'portfolio_id' => $model->portfolio_id,
                    'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                ]), [ 'data-pjax' => 0 ]) ?>
            </div>
        </div>
    </div>
    <div class="portfolio-project-views-wr">
        <div class="portfolio-project-views ico-views-bl">
            <div class="portfolio-project-views-img-wr">
                <div class="portfolio-project-views-img">
                    <img src="/images/portfolio-project/ico-1.png"/></div>
            </div>
            <div class="portfolio-project-views-txt"><?= $model->view_count ?></div>
        </div>
        <div class="portfolio-project-rati ico-views-bl">
            <div class="portfolio-project-views-img-wr">
                <div class="portfolio-project-views-img">
                    <img src="/images/portfolio-project/ico-2.png"/></div>
            </div>
            <div class="portfolio-project-views-txt"><?php if(!empty( $model->ratingValue )) {
                    echo $model->ratingValue;
                } else {
                    echo 'Нет';
                } ?></div>
        </div>
        <div class="ico-views-bl">
            <div class="portfolio-project-views-img-wr">
                <div class="portfolio-project-views-img">
                    <img src="/images/portfolio-project/ico-3.png"/></div>
            </div>
            <div class="portfolio-project-views-txt"><?= count($model->comments) ?></div>
        </div>
    </div>
    <div title="<?= implode(', ', ArrayHelper::getColumn($model->specializations, 'specialization_name')) ?>" class="portfolio-project-blocks-tags"><?= implode(', ', ArrayHelper::getColumn($model->specializations, 'specialization_name')) ?></div>
</div>