<?php
    /**
     * @var User               $company
     * @var ActiveDataProvider $provider
     * @var View               $this
     */
    use common\models\User;
    use yii\data\ActiveDataProvider;
    use yii\web\View;
    use yii\widgets\LinkPager;
    use yii\widgets\ListView;

    $this->params[ 'company' ] = $company;
    $this->title = 'Proektant.net';
    
?>
<div class="performer-vacancy-vacant-title style">Вакансии</div>

<div class="performer-vacancy-vacant-title-reclam-wr style">
    <?= ListView::widget([
        'dataProvider' => $provider,
        'itemView'     => '_vacancy_list_view',
        'options'      => [
            'class' => 'list-view performer-vacancy-vacant-title-reclam-wr style',
        ],
        'summary'      => 'Всего {count} записей из {totalCount}',
        'layout'       => "{summary}\n{items}",
    ]); ?>
</div>
<div class="navi-buttons-wr style">
    <?= LinkPager::widget([
        'pagination' => $provider->pagination,
    ]); ?>
</div>
