$(document).ready(
    function()
    {
        function addRemoveBlocks()
        {
            $('#overlay, .forms-modal-hide').remove();
            $('body').append('<div id="overlay"></div>').append('<div class="forms-modal-hide"></div>');
        }

        function addToLogin()
        {
            $.post(
                "/site/forms-modal-login", function(data)
                {
                    $('.forms-modal-hide').append(data)
                }
             )
             .fail(
                 function()
                 {
                     $('#overlay, .forms-modal-hide').remove();
                     alert(txtErrorModal)
                 }
             )
             .done(
                 function()
                 {
                     var newMarg = $(window).scrollTop();
                     $('#overlay').fadeIn(
                         400, function()
                         {
                             $('.forms-modal-hide>div')
                             .css({display : 'block', marginTop : -230 + newMarg})
                             .animate({opacity : 1, top : '50%'}, 200);
                         }
                     );
                 }
             )
        }

        function addToFavorites()
        {
            $.post(
                "/site/forms-modal-fav", function(data)
                {
                    $('.forms-modal-hide').append(data)
                }
             )
             .fail(
                 function()
                 {
                     $('#overlay, .forms-modal-hide').remove();
                     alert(txtErrorModal)
                 }
             )
             .done(
                 function()
                 {
                     var newMarg = $(window).scrollTop();
                     $('#overlay').fadeIn(
                         400, function()
                         {
                             $('.forms-modal-hide>div')
                             .css({display : 'block', marginTop : -230 + newMarg})
                             .animate({opacity : 1, top : '50%'}, 200);
                         }
                     );
                 }
             )
        }

        function addContacts()
        {
            $.post(
                "/ajax/get-feedback", function(data)
                {

                    $('.forms-modal-hide').append(data.result.form)

                }
             )
             .fail(
                 function()
                 {
                     $('#overlay, .forms-modal-hide').remove();
                     alert(txtErrorModal)
                 }
             )
             .done(

                 function()
                 {
                     var newMarg = $(window).scrollTop();
                     $('#overlay').fadeIn(
                         400, function()
                         {
                             $('.forms-modal-hide>div')
                             .css({display : 'block', marginTop : -230 + newMarg})
                             .animate({opacity : 1, top : '50%'}, 200);
                         }
                     );
                 }
             )
        }

        //login
        $('a.loginLinkModal').click(
            function(e)
            {
                e.preventDefault()
                addRemoveBlocks()
                addToLogin()
            }
        )
        //contacts
        $('a.contactsLinkModalFirst').click(
            function(e)
            {
                e.preventDefault()
                addRemoveBlocks()
                addContacts()
            }
        )
        //bookmarks

        //Performer bookmark add
        $(document).on('click', '.artbox_bookmark_add_performer', function(e) {
            e.preventDefault();
            var id = $(this).data('id');
            addRemoveBlocks();
            $.post('/bookmarks/add-performer', {id: id}, function(data) {
                if(data.error) {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(data.error);
                } else {
                    $('.artbox_bookmark_add_performer[data-id='+id+']').removeClass('artbox_bookmark_add_performer').addClass('artbox_bookmark_remove_performer');
                    $('.get-list.artbox_bookmark_remove_performer[data-id='+id+']').text('Убрать из закладок');
                    $('.forms-modal-hide').append(data.result);
                }
            }, 'json').fail(
                function()
                {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(txtErrorModal);
                }
             )
             .done(
                 function()
                 {
                     var newMarg = $(window).scrollTop();
                     $('#overlay').fadeIn(
                         400, function()
                         {
                             $('.forms-modal-hide>div')
                             .css({display : 'block', marginTop : -230 + newMarg})
                             .animate({opacity : 1, top : '50%'}, 200);
                         }
                     );
                 }
             )
        });
        //Performer bookmark remove
        $(document).on('click', '.artbox_bookmark_remove_performer', function(e) {
            e.preventDefault();
            var id = $(this).data('id');
            var link = $(this);
            addRemoveBlocks();
            $.post('/bookmarks/remove-performer', {id: id}, function(data) {
                if(data.error) {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(data.error);
                } else {
                    $('.artbox_bookmark_remove_performer[data-id='+id+']').removeClass('artbox_bookmark_remove_performer').addClass('artbox_bookmark_add_performer');
                    $('.get-list.artbox_bookmark_add_performer[data-id='+id+']').text('Добавить в закладки');
                    $('#overlay, .forms-modal-hide').remove();
                    alert(data.message);
                }
            }, 'json').fail(
                function()
                {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(txtErrorModal);
                }
             )
             .done(
                 function()
                 {
                     var newMarg = $(window).scrollTop();
                     $('#overlay').fadeIn(
                         400, function()
                         {
                             $('.forms-modal-hide>div')
                             .css({display : 'block', marginTop : -230 + newMarg})
                             .animate({opacity : 1, top : '50%'}, 200);
                         }
                     );
                 }
             )
        });

        //Customerbookmark add
        $(document).on('click', '.artbox_bookmark_add_customer', function(e) {
            e.preventDefault();
            var id = $(this).data('id');
            addRemoveBlocks();
            $.post('/bookmarks/add-customer', {id: id}, function(data) {
                if(data.error) {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(data.error);
                } else {
                    $('.artbox_bookmark_add_customer[data-id='+id+']').removeClass('artbox_bookmark_add_customer').addClass('artbox_bookmark_remove_customer');
                    $('.get-list.artbox_bookmark_remove_customer[data-id='+id+']').text('Убрать из закладок');
                    $('.forms-modal-hide').append(data.result);
                }
            }, 'json').fail(
                function()
                {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(txtErrorModal);
                }
             )
             .done(
                 function()
                 {
                     var newMarg = $(window).scrollTop();
                     $('#overlay').fadeIn(
                         400, function()
                         {
                             $('.forms-modal-hide>div')
                             .css({display : 'block', marginTop : -230 + newMarg})
                             .animate({opacity : 1, top : '50%'}, 200);
                         }
                     );
                 }
             )
        });
        //Customer bookmark remove
        $(document).on('click', '.artbox_bookmark_remove_customer', function(e) {
            e.preventDefault();
            var id = $(this).data('id');
            var link = $(this);
            addRemoveBlocks();
            $.post('/bookmarks/remove-customer', {id: id}, function(data) {
                if(data.error) {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(data.error);
                } else {
                    $('.artbox_bookmark_remove_customer[data-id='+id+']').removeClass('artbox_bookmark_remove_customer').addClass('artbox_bookmark_add_customer');
                    $('.get-list.artbox_bookmark_add_customer[data-id='+id+']').text('Добавить в закладки');
                    $('#overlay, .forms-modal-hide').remove();
                    alert(data.message);
                }
            }, 'json').fail(
                function()
                {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(txtErrorModal);
                }
             )
             .done(
                 function()
                 {
                     var newMarg = $(window).scrollTop();
                     $('#overlay').fadeIn(
                         400, function()
                         {
                             $('.forms-modal-hide>div')
                             .css({display : 'block', marginTop : -230 + newMarg})
                             .animate({opacity : 1, top : '50%'}, 200);
                         }
                     );
                 }
             )
        });

        //Project bookmark add
        $(document).on('click', '.artbox_bookmark_add_project', function(e) {
            e.preventDefault();
            var id = $(this).data('id');
            addRemoveBlocks();
            $.post('/bookmarks/add-project', {id: id}, function(data) {
                if(data.error) {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(data.error);
                } else {
                    $('.artbox_bookmark_add_project[data-id='+id+']').removeClass('artbox_bookmark_add_project').addClass('artbox_bookmark_remove_project');
                    $('.forms-modal-hide').append(data.result);
                }
            }, 'json').fail(
                function()
                {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(txtErrorModal);
                }
             )
             .done(
                 function()
                 {
                     var newMarg = $(window).scrollTop();
                     $('#overlay').fadeIn(
                         400, function()
                         {
                             $('.forms-modal-hide>div')
                             .css({display : 'block', marginTop : -230 + newMarg})
                             .animate({opacity : 1, top : '50%'}, 200);
                         }
                     );
                 }
             )
        });
        //Project bookmark remove
        $(document).on('click', '.artbox_bookmark_remove_project', function(e) {
            e.preventDefault();
            var id = $(this).data('id');
            var link = $(this);
            addRemoveBlocks();
            $.post('/bookmarks/remove-project', {id: id}, function(data) {
                if(data.error) {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(data.error);
                } else {
                    $('.artbox_bookmark_remove_project[data-id='+id+']').removeClass('artbox_bookmark_remove_project').addClass('artbox_bookmark_add_project');
                    $('#overlay, .forms-modal-hide').remove();
                    alert(data.message);
                }
            }, 'json').fail(
                function()
                {
                    $('#overlay, .forms-modal-hide').remove();
                    alert(txtErrorModal);
                }
             )
             .done(
                 function()
                 {
                     var newMarg = $(window).scrollTop();
                     $('#overlay').fadeIn(
                         400, function()
                         {
                             $('.forms-modal-hide>div')
                             .css({display : 'block', marginTop : -230 + newMarg})
                             .animate({opacity : 1, top : '50%'}, 200);
                         }
                     );
                 }
             )
        });

        $('.get-list, .performance-vacancy-add-favorite a, .blog-buttons-add-favorite').click(
            function(e)
            {
                e.preventDefault()
//                addRemoveBlocks()
//                addToFavorites()
            }
        )

        //project comment state
        $(document).on('click', '.artbox_project_make_candidate', function(e) {
            e.preventDefault();
            var project_id = $(this).data('project-id');
            var comment_id = $(this).data('comment-id');
            var state = 2;
            var link = $(this);
            $.post('/tender/change-state', {project_id: project_id, comment_id: comment_id, state: state}, function(data) {
                if(data.error) {
                    alert(data.error);
                } else {
                    alert(data.message);
                    location.reload();
                }
            }, 'json').fail(
                function()
                {
                    alert(txtErrorModal);
                }
             );
        });
        $(document).on('click', '.artbox_project_make_new', function(e) {
            e.preventDefault();
            var project_id = $(this).data('project-id');
            var comment_id = $(this).data('comment-id');
            var state = 1;
            var link = $(this);
            $.post('/tender/change-state', {project_id: project_id, comment_id: comment_id, state: state}, function(data) {
                if(data.error) {
                    alert(data.error);
                } else {
                    alert(data.message);
                    location.reload();
                }
            }, 'json').fail(
                function()
                {
                    alert(txtErrorModal);
                }
            );
        });
        $(document).on('click', '.artbox_project_make_performer', function(e) {
            e.preventDefault();
            var project_id = $(this).data('project-id');
            var comment_id = $(this).data('comment-id');
            var state = 3;
            var link = $(this);
            $.post('/tender/change-state', {project_id: project_id, comment_id: comment_id, state: state}, function(data) {
                if(data.error) {
                    alert(data.error);
                } else {
                    alert(data.message);
                    location.reload();
                }
            }, 'json').fail(
                function()
                {
                    alert(txtErrorModal);
                }
            );
        });
        $(document).on('click', '.artbox_project_make_deny', function(e) {
            e.preventDefault();
            var project_id = $(this).data('project-id');
            var comment_id = $(this).data('comment-id');
            var state = 4;
            var link = $(this);
            $.post('/tender/change-state', {project_id: project_id, comment_id: comment_id, state: state}, function(data) {
                if(data.error) {
                    alert(data.error);
                } else {
                    alert(data.message);
                    location.reload();
                }
            }, 'json').fail(
                function()
                {
                    alert(txtErrorModal);
                }
            );
        });
        $(document).on('click', '.artbox_project_make_trash', function(e) {
            e.preventDefault();
            var project_id = $(this).data('project-id');
            var comment_id = $(this).data('comment-id');
            var state = 5;
            var link = $(this);
            $.post('/tender/change-state', {project_id: project_id, comment_id: comment_id, state: state}, function(data) {
                if(data.error) {
                    alert(data.error);
                } else {
                    alert(data.message);
                    location.reload();
                }
            }, 'json').fail(
                function()
                {
                    alert(txtErrorModal);
                }
            );
        });


        //offer
        function offerCallback() {
            $('.off_list').jScrollPane(
                {
                    showArrows : true, autoReinitialise : true, autoReinitialiseDelay : 200,
                    scrollbarWidth : 25, arrowSize : 25
                }
            );

            $('.off_list').hide();
            $('.main_item, .arrow.up').click(
                function()
                {
                    $('.off_list').toggle()
                }
            );

            var listOffer = $('.list-form-offer li');
            var listOfferLength = listOffer.length;

            $(listOffer[listOfferLength - 1]).addClass('act-offer-li');
            function activeOf()
            {
                var title1 = $('.act-offer-li').find('.title1').text();
                var title2 = $('.act-offer-li').find('.title2').text();
                $('#off_value').val($('.act-offer-li').data('project-id'));

                $('.main_item .pr_title').empty().text(title1)
                $('.main_item span').empty().text(title2)
            }

            activeOf();

            listOffer.click(
                function()
                {
                    var thisOfInd = $(this).index();
                    var actOfInd = $('.act-offer-li').index();
                    listOffer.removeClass('act-offer-li');
                    $(this).addClass('act-offer-li');

                    if(thisOfInd != actOfInd)
                    {
                        activeOf();
                        $('.off_list').hide();
                    }
                }
            );
        }
        function addToOffer(performer_id)
        {
            $.post(
                "/tender/offer-form",
                {
                    performer_id: performer_id
                } ,
                function(data)
                {
                    if(data.error) {
                        $('#overlay, .forms-modal-hide').remove();
                        alert(data.error);
                    } else {
                        $('.forms-modal-hide').append(data.message);
                    }
                }
             )
             .fail(
                 function()
                 {
                     $('#overlay, .forms-modal-hide').remove();
                     alert(txtErrorModal)
                 }
             )
             .done(
                 function()
                 {
                     var newMarg = $(window).scrollTop();
                     $('#overlay').fadeIn(
                         400, function()
                         {
                             $('body').css({overflowY : 'hidden'})
                             $('.forms-modal-hide>div')
                             .css({display : 'block', marginTop : -230 + newMarg})
                             .animate({opacity : 1, top : '50%'}, 200);
                             offerCallback();
                         }
                     );
                 }
             )
        }
        $('a.get-project, .blog-buttons-offer').click(
            function(e)
            {
                e.preventDefault();
                var performer_id;
                performer_id = $(this).data('performer-id');
                if(!performer_id) {
                    return false;
                } else {
                    addRemoveBlocks();
                    addToOffer(performer_id);
                }
            }
        )

        var txtErrorModal = 'ВОЗНИКЛА ОШИБКА, ПОПРОБУЙТЕ ЕЩЕ РАЗ ПОЗЖЕ!';

        clocseModalForms()
        function clocseModalForms()
        {
            $('body').on(
                'click', '.closed-form, #overlay', function()
                {
                    $('body').css({overflowY : 'visible'})
                    $('.forms-modal-hide>div')
                    .animate(
                        {opacity : 0, top : '30%'}, 200, function()
                        {
                            $(this).css('display', 'none')
                            $('#overlay').fadeOut(
                                400, function()
                                {
                                    $('#overlay, .forms-modal-hide').remove()
                                }
                            )
                        }
                    )

                }
            );
        }

        // Remove error for no client validation fields
        $(document).on('change', '.no-client-validation', function() {
            $(this).parent().find('.help-block').hide();
        });

        $(document).on('submit', '.feedback_form', function(e) {
            e.preventDefault();
            $.post('/ajax/post-feedback', $(this).serialize(), function(data) {
                if(data.error) {
                    $('.forms-modal-hide').empty().append(data.result.form);
                } else {
                    addRemoveBlocks();
                    alert(data.result.message);
                }
            });
        });

    }
)