<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "country".
 *
 * @property integer $country_id
 * @property integer $oid
 * @property string $country_name
 * @property string $country_name_en
 */
class Country extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'country';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['oid'], 'integer'],
            [['country_name', 'country_name_en'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'country_id' => Yii::t('app', 'country_id'),
            'oid' => Yii::t('app', 'oid'),
            'country_name' => Yii::t('app', 'country_name'),
            'country_name_en' => Yii::t('app', 'country_name_en'),
        ];
    }
}
