<?php
    /**
     * @var \yii\data\DataProviderInterface $dataProvider
     * @var Comment $commentClass
     */
    use common\modules\comment\models\Comment;
    use common\modules\comment\widgets\CommentWidget;
    echo \yii\widgets\ListView::widget([
        'dataProvider' => $dataProvider,
        'itemView'     => '_review_comment_view',
        'options'      => [
            'tag'   => 'ul',
            'class' => 'proektant-comments style',
        ],
        'itemOptions'  => [
            'tag'   => 'li',
            'class' => CommentWidget::$baseClass[ 'comment_container' ],
            'data' => [
                'form' => $commentClass->formName(),
            ],
        ],
        'layout'       => "{items}\n<div class='navi-buttons-wr style'>{pager}</div>",
    ]);