<?php

    use yii\db\Migration;

    /**
     * Handles the creation for table `feedback`.
     */
    class m160425_130026_create_feedback extends Migration
    {

        /**
         * @inheritdoc
         */
        public function up()
        {
            $this->createTable('feedback', [
                'feedback_id' => $this->primaryKey(),
                'name'        => $this->string()
                                      ->notNull(),
                'phone'       => $this->string(),
                'email'       => $this->string(),
                'answer'      => $this->string()
                                      ->notNull(),
                'file'        => $this->string(),
                'date_add'    => $this->timestamp()
                                      ->notNull()
                                      ->defaultExpression('NOW()'),
            ]);
        }

        /**
         * @inheritdoc
         */
        public function down()
        {
            $this->dropTable('feedback');
        }
    }
