<?php
    /**
     * @var UserInfo    $user_info
     * @var User        $user
     * @var CompanyInfo $company_info
     */
    use common\models\CompanyInfo;
    use common\models\User;
    use common\models\UserInfo;
    use common\modules\file\widgets\ImageUploader;
    use mihaildev\ckeditor\CKEditor;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;

    $this->title = 'Описание';
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="login-left-column-title"><?= $this->title ?></div>
    <?php
        $form = ActiveForm::begin();
    ?>
<div class="input-blocks-wrapper full-blocks admin-editor-bl" style="margin-top: 30px">
    <div class="input-blocks">
        <?= $form->field($user_info, 'about')->label(false)->widget(CKEditor::className()) ?>
    </div>
</div>

<div class="input-blocks-wrapper">
    <div class="admin-save-btn skills-save-btn  style">
        <?= Html::submitButton('Сохранить', ['class' => 'input-blocks-wrapper button']) ?>
    </div>
</div>



    <?php
        $form->end();
    ?>
