<?php
    /**
     * @var User $user
     */

    use common\models\User;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;

    $this->title = 'Настройки профиля';
    $this->params['breadcrumbs'][] = $this->title;
?>

<div class="login-left-column-title"><?= $this->title ?></div>

<?php
    if (\Yii::$app->session->hasFlash ('passwordupdate'))
    {
        ?>
        <div class="alert alert-warning alert-dismissible" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <p><?= \Yii::$app->session->getFlash ('passwordupdate') ?></p>
        </div>
        <?php
    }
    $form = ActiveForm::begin ();
?>
    <div class="login-left-column-title-two style">Сменить пароль:</div>
<div class="input-blocks-wrapper">
    <div class="input-blocks">
        <?= $form->field ($user, 'old_password', ['template' => "{label}{input}\n{hint}\n{error}"])
                      ->label ('Старый пароль')
                      ->passwordInput (['value' => '','class'=>'custom-input-2']);
        ?>
    </div>
</div>
<div class="input-blocks-wrapper">
    <div class="input-blocks">
        <?= $form->field ($user, 'new_password', ['template' => "{label}{input}\n{hint}\n{error}"])
                      ->label ('Новый пароль')
                        ->passwordInput (['value' => '','class'=>'custom-input-2']);
        ?>
    </div>
</div>
<div class="input-blocks-wrapper">
    <div class="input-blocks">
        <?= $form->field ($user, 'password_reply', ['template' => "{label}{input}\n{hint}\n{error}"])
                      ->label ('Повторите пароль')
                      ->passwordInput (['value' => '','class'=>'custom-input-2']);
        ?>
    </div>
</div>
<div class="input-blocks-wrapper">
    <div class="admin-save-btn skills-save-btn line-btn-fix style">
        <?= Html::submitButton ('Обновить', ['class' => 'btn btn-primary']);

        ?>
        <?php  $form->end (); ?>
    </div>
</div>


