<?php
    /**
     * @var Comment $model
     */
    use common\modules\comment\models\Comment;
    use kartik\rating\StarRating;

?>
<?php
    if(!empty( $model->rating )) {
        echo StarRating::widget([
            'name'          => 'rating_company_review',
            'value'         => $model->rating->value,
            'pluginOptions' => [
                'displayOnly' => true,
                'size'        => 'xxs',
                'min'         => 0,
                'max'         => 10,
                'stars'       => 10,
            ],
        ]);
    }
?>
<div class="company-performer-comments-autor">
    Мнение от:
    <?php
        $model->getAuthor(' (Гость)');
    ?>
</div>
<div class="company-performer-comments-txt"><?= $model->text ?></div>
<a href="#" class="company-comm-see-all"><span>Развернуть</span></a>