<?php
/**
 * @var Team $model
 */
use common\models\Team;
use yii\helpers\Html;
$http_pattern = '/^https?.*$/';
?>
<div class="command-block-wrapper">
    <div class="command-block-wr-two">
        <div class="command-block-foto">
            <?php
            if(empty( $model->link )) {
                echo ( Html::img(\Yii::$app->user->identity->minImg($model->photo, 220, 220)) ) . '<div class="hover-command-bg"></div>';
            } else {
                echo Html::a((Html::img(\Yii::$app->user->identity->minImg($model->photo, 220, 220))) . '<div class="hover-command-bg"></div>', (preg_match($http_pattern, $model->link))?$model->link:'http://'.$model->link);
            }
            ?>
        </div>
        <div class="command-block-name">
            <?php
            if(!empty($model->firstname)) {
                echo "<p>{$model->firstname}</p>";
            }
            ?>
            <?php
            if(!empty($model->firstname)) {
                echo "<p>{$model->lastname}</p>";
            }
            ?>
            <div class="command-block-line">
                <div class="command-block-line-left"></div>
                <div class="command-block-line-right"></div>
            </div>
            <?php
            if(!empty( $model->department->name )) {
                ?>
                <div class="command-block-job"><?= $model->department->name ?></div>
            <?php
            }
            ?>
        </div>
    </div>
</div>