<?php
    /**
     * @var View               $this
     * @var ActiveDataProvider $blog
     * @var User               $company
     */

    use common\models\User;
    use yii\data\ActiveDataProvider;
    use yii\web\View;
    use yii\widgets\LinkPager;
    use yii\widgets\ListView;

    $this->params[ 'company' ] = $company;
    $this->title = 'Proektant.net';
?>
<div class="performer-vacancy-vacant-title-reclam-wr style">

    <?= ListView::widget([
        'dataProvider' => $blog,
        'itemView'     => '_blog_list_view',
        'summary'      => '',
        'viewParams'   => [ 'parent_view' => $this ],
        'layout'       => "{items}\n<div class='navi-buttons-wr style'>{pager}</div>",
    ]); ?>
</div>
