<?php
    /**
     * @var View $this
     * @var User $user
     */

    use common\models\User;
    use yii\web\View;

    $this->params[ 'user' ] = $user;
    $this->title = 'Proektant.net';

?>
<div class="performer-vacancy-vacant-title-reclam-wr style">
    <?php
        echo \common\modules\comment\widgets\CommentWidget::widget([
            'context'       => $this,
            'model'         => $user->className(),
            'model_id'      => $user->id,
            'comment_class' => \common\modules\comment\models\Comment::className(),
            'rating_class'  => \common\modules\comment\models\Rating::className(),
            'template' => ($user->id == \Yii::$app->user->id)?"{success}\n{list}":"{success}\n{form}\n{list}",
            'class_options' => [
                'scenario'     => is_int(\Yii::$app->user->getId()) ? \common\modules\comment\models\Comment::SCENARIO_USER : \common\modules\comment\models\Comment::SCENARIO_GUEST,
                'user_id'      => \Yii::$app->user->getId(),
                'guestComment' => false,
                'status'       => \common\modules\comment\models\Comment::STATUS_ACTIVE,
            ],
            'list_options'  => [
                'view' => 'list-comment-review',
            ],
            'form_options'  => [
                'view' => 'form-comment-review',
                'tag'  => 'span',
            ],
            'options'       => [
                'class' => 'proektant-comments-wr style fix_onions',
            ],
        ]);
    ?>
    <?php /* == Layout == ?>
    <div class="proektant-comments-wr style">
        <div class="workplace-title style"><p>Отзывы о пользователе: 4</p></div>
        <ul class="proektant-comments style">
            <li>
                <div class="comments-name">Иван Иванов</div>
                <div class="comments-status"><span>Pro</span></div>
                <div class="comments-date">10.07.2015</div>
                <div class="rating">
                    <!--оценка-->
                    <input type="hidden" class="val" value="2"/>
                </div>
                <div class="comments-content">
                    <p>Уже дважды пользовались услугами мастеров и очень довольны качеством работы, профессиональной консультацией в подборе материалов и оформлением дизайна!</p>
                    <p>Спасибо большое! Всем советуем!</p>
                </div>
                <div class="comments-project-link">Проект: <a href="#">Ремонт спальни</a></div>
            </li>

            <li>
                <div class="comments-name">Иван Иванов</div>
                <div class="comments-status"><span>Pro</span></div>
                <div class="comments-date">10.07.2015</div>
                <div class="rating">
                    <!--оценка-->
                    <input type="hidden" class="val" value="5"/>
                </div>
                <div class="comments-content">
                    <p>Уже дважды пользовались услугами мастеров и очень довольны качеством работы, профессиональной консультацией в подборе материалов и оформлением дизайна!</p>
                    <p>Спасибо большое! Всем советуем!</p>
                </div>
                <div class="comments-project-link">Проект: <a href="#">Ремонт спальни</a></div>
            </li>

            <li>
                <div class="comments-name">Иван Иванов</div>
                <div class="comments-status"><span>Pro</span></div>
                <div class="comments-date">10.07.2015</div>
                <div class="rating">
                    <!--оценка-->
                    <input type="hidden" class="val" value="4"/>
                </div>
                <div class="comments-content">
                    <p>Уже дважды пользовались услугами мастеров и очень довольны качеством работы, профессиональной консультацией в подборе материалов и оформлением дизайна!</p>
                    <p>Спасибо большое! Всем советуем!</p>
                </div>
                <div class="comments-project-link">Проект: <a href="#">Ремонт спальни</a></div>
            </li>

            <li>
                <div class="comments-name">Иван Иванов</div>
                <div class="comments-status"><span>Pro</span></div>
                <div class="comments-date">10.07.2015</div>
                <div class="rating">
                    <!--оценка-->
                    <input type="hidden" class="val" value="1"/>
                </div>
                <div class="comments-content">
                    <p>Уже дважды пользовались услугами мастеров и очень довольны качеством работы, профессиональной консультацией в подборе материалов и оформлением дизайна!</p>
                    <p>Спасибо большое! Всем советуем!</p>
                </div>
                <div class="comments-project-link">Проект: <a href="#">Ремонт спальни</a></div>
            </li>
        </ul>
        <div class="navi-buttons-wr style">
            <ul class="pagination">
                <li><a href="#">1</a></li>
                <li><a href="#">2</a></li>
                <li><a href="#">3</a></li>
                <li><a href="#">4</a></li>
                <li><a href="#">5</a></li>
                <li class="dots-next"><a href="#">...</a></li>
                <li><a href="#">156</a></li>
            </ul>
        </div>
    </div>
 <?php */ ?>
</div>
