<?php
    /**
     * @var int       $performer_id
     * @var User      $user
     * @var Project[] $projects
     */
    use common\models\Project;
    use common\models\User;

?>

<div id="modal_form_offer">
    <div class="closed-form"></div>
    <div class="form-resume-wr offer">
        <div class="form-resume-sub style">Предложить <?=Yii::t('app', 'project')?></div>
        <form action="" class="offer-project">
            <input type="hidden" id="off_value" data-performer-id="<?=$performer_id?>">
            <label>Выбрать <?=Yii::t('app', 'project')?></label>
            <div class="list_item title">
                <div class="main_item">
                    <div class="pr_title"></div>
                    <span></span>
                </div>
                <div class="arrow up"></div>
                <div class="off_list">
                    <ul class="content list-form-offer">
                        <?php
                            foreach($projects as $project) {
                                ?>
                                <li data-project-id="<?= $project->project_id ?>">
                                    <div class="title1"><?= $project->name ?></div>
                                    <?php
                                        if(!empty( $project->parent )) {
                                            ?>
                                            <div class="title2">Подряд: <?= $project->parent->name ?></div>
                                            <?php
                                        }
                                    ?>
                                </li>
                                <?php
                            }
                        ?>
                    </ul>
                </div>
            </div>


            <input id="off_submit" type="submit" value="Предложить">
        </form>
        <div class="res_form_line"></div>
    </div>
</div>
